slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPGetWhichEigenpairs

Returns which portion of the spectrum is to be sought.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetWhichEigenpairs(NEP nep,NEPWhich *which)

Not Collective

### Input Parameter

| nep | - eigensolver context obtained from NEPCreate()

### Output Parameter

| which | - the portion of the spectrum to be sought

### Notes

See NEPSetWhichEigenpairs() for possible values of 'which'.

### See Also

NEPSetWhichEigenpairs(), NEPWhich

### Level

intermediate

### Location

src/nep/interface/nepopts.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages